%global enable_debugging 0
%global commit 0b01bf1b3ebbf97cb24a50f5638dd1ed5b8df1f8
%global _internal_version %(c=%{commit}; echo ${c:0:7})
%global date 20221115

Summary:  A menu system for the Cinnamon project
Name: cinnamon-menus
Version: 5.6.0
Release: %mkrel 1
License: LGPLv2+
Group: Graphical desktop/Cinnamon
URL: http://cinnamon.linuxmint.com 
# for git
# wget https://github.com/linuxmint/cinnamon-menus/tarball/%%{_internal_version} -O cinnamon-menus-%%{version}.git%%{_internal_version}.tar.gz
#Source0:        http://leigh123linux.fedorapeople.org/pub/%{name}/source/%{name}-%{version}.git%{_internal_version}.tar.gz

Source0: https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: intltool
BuildRequires: meson
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: python3

%description
cinnamon-menus is an implementation of the draft "Desktop
Menu Specification" from freedesktop.org. This package
also contains the Cinnamon menu layout configuration files,
.directory files and assorted menu related utility programs,
Python bindings, and a simple menu editor.

%package devel
Summary: Libraries and include files for the Cinnamon menu system
Group: Development/C
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the necessary development libraries for
writing applications that use the Cinnamon menu system.

%prep
%autosetup -p1

%build
%meson \
 -Ddeprecated_warnings=false \
 -Denable_debug=false

%meson_build

%install
%meson_install	
find %buildroot -name '*.la' -exec rm -f {} ';'
	
%meson_build

%files
%doc AUTHORS NEWS
%license COPYING COPYING.LIB
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/CMenu-3.0.typelib

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/cinnamon-menus-3.0
%{_datadir}/gir-1.0/CMenu-3.0.gir



%changelog
* Sat Nov 19 2022 joequant <joequant> 5.6.0-1.mga9
+ Revision: 1908961
- update to 5.6.0

* Sun Jul 03 2022 joequant <joequant> 5.4.0-1.mga9
+ Revision: 1867140
- update to 5.4.0

* Fri Mar 18 2022 umeabot <umeabot> 5.2.0-2.mga9
+ Revision: 1798807
- Mageia 9 Mass Rebuild

* Wed Nov 24 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1758978
- update to 5.2.0

* Wed Jun 02 2021 joequant <joequant> 5.0.0-1.mga9
+ Revision: 1729185
- update to 5.0.0

* Tue Dec 08 2020 joequant <joequant> 4.8.2-1.mga8
+ Revision: 1654593
- update to 4.8.2

* Sun Jun 28 2020 joequant <joequant> 4.6.1-1.mga8
+ Revision: 1599809
- update to 4.6.1
- update to 4.6.1

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584263
- update to 4.6.0

* Tue Feb 18 2020 umeabot <umeabot> 4.4.0-2.mga8
+ Revision: 1539312
- Mageia 8 Mass Rebuild

* Sat Dec 07 2019 joequant <joequant> 4.4.0-1.mga8
+ Revision: 1464895
- upgrade to 4.4.0

* Sat Jul 06 2019 joequant <joequant> 4.2.0-1.mga8
+ Revision: 1418860
- update to 4.2

* Mon Nov 05 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328443
- update to 4.0.0

* Mon Oct 01 2018 joequant <joequant> 3.8.2-1.mga7
+ Revision: 1313808
- upgrade to 3.8.2

* Sat Sep 22 2018 umeabot <umeabot> 3.8.0-2.mga7
+ Revision: 1296235
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 joequant <joequant> 3.8.0-1.mga7
+ Revision: 1223154
- upgrade to 3.8.0

* Wed Nov 01 2017 joequant <joequant> 3.6.0-1.mga7
+ Revision: 1175374
- upgrade to 3.6.0

* Mon Jul 17 2017 joequant <joequant> 3.4.0-1.mga7
+ Revision: 1124015
- update to 3.4.0

* Mon Jan 23 2017 joequant <joequant> 3.2.0-1.mga6
+ Revision: 1083166
- upgrade to 3.2.0
- upgrade to 3.2.0

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008839
- upgrade to 3.0.0

* Thu Feb 11 2016 umeabot <umeabot> 2.8.0-2.mga6
+ Revision: 953757
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 893697
- upgrade to 2.8.0

* Fri Jun 26 2015 joequant <joequant> 2.6.0-1.mga6
+ Revision: 844318
- add gnome common
- upgrade to 2.6

* Wed Dec 03 2014 tmb <tmb> 2.4.0-2.mga5
+ Revision: 800483
- bump rel past testing

* Sun Nov 23 2014 joequant <joequant> 2.4.0-1.mga5
+ Revision: 798405
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-5.mga5
+ Revision: 742819
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 693610
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 678398
- Mageia 5 Mass Rebuild

* Wed May 14 2014 joequant <joequant> 2.2.0-2.mga5
+ Revision: 622768
- rebuild for cauldron

* Sat Apr 19 2014 joequant <joequant> 2.2.0-1.mga5
+ Revision: 616949
- imported package cinnamon-menus

